%define vscan 1
%define vscan_version 0.3.5
%{!?vscan:%define vscan 0}

Summary: Samba SMB client and server
Name: samba
Version: 3.0.5
Release: 16ml
License: GNU GPL version 2
Group: Networking
URL: http://www.samba.org/

Source: http://download.samba.org/samba/ftp/samba-%{version}.tar.gz

## Additional files for MIRACLE LINUX
Source1:   samba.sysconfig
Source2:   samba_packaging.miracle.tar.gz
Source3:   samba-vscan-%{vscan_version}.tar.bz2
Source4:   samba-3.0.1-docs_ja_20040227.tar.gz
Source5:   samba-3.0.2a-imgfiles.tar.gz

## Remove dependency on Net::LDAP
Source999: filter-requires-samba.sh

## Generic patches
Patch0:    samba-2.2.0-smbw.patch
Patch1:    samba-3.0.0beta1-pipedir.patch
Patch2:    samba-3.0.4-nmbd-netbiosname.patch
Patch3:    samba-3.0.1-installimg.patch
Patch4:    samba-3.0.2a-smbldap_tools.patch
Patch5:    samba-3.0.5-fixXP_SP2.patch

## Patches developed by Samba Internationalisation Project
Patch101: samba-3.0.4-hex.patch
Patch102: samba-3.0.4-struplower_m_i18n.patch
Patch103: samba-3.0.2a-nmblookup_i18n.patch
Patch104: samba-3.0.4-substitute_i18n.patch
Patch110: samba-3.0.4-swatstatus.patch
Patch111: samba-3.0.2a-smbldap-profile.patch
Patch112: samba-3.0.2a-smbldaptools-machine.patch
Patch113: samba-3.0.2a-smbldap-smbhomepath.patch
Patch114: samba-3.0.4-smbd-filename.patch
Patch115: samba-3.0.5-nstring.patch

Requires: pam >= 0.72 kernel >= 2.2.1 glibc >= 2.1.2
Prereq: chkconfig fileutils /sbin/ldconfig
Provides: samba = %{version}
Obsoletes: samba-common, samba-client, samba-swat, samba-ldap
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

## A work around for perl dependency problem from docs
%define __perl_requires %{SOURCE999}

%description
Samba provides an SMB/CIFS server which can be used to provide
network file and print services to SMB/CIFS clients, including 
various versions of MS Windows, OS/2, and other Linux machines. 
Samba also provides some SMB clients, which complement the 
built-in SMB filesystem in Linux. Samba uses NetBIOS over TCP/IP 
(NetBT) protocols and does NOT need NetBEUI (Microsoft Raw NetBIOS 
frame) protocol.

Samba 3.0 also introduces UNICODE support and kerberos/ldap
integration as a member server in a Windows 2000 domain.

Please refer to the WHATSNEW.txt document for fixup information.
docs directory for implementation details.

%package -n smbldap-tools
Summary: User & Group administration tools for Samba-OpenLDAP
Group: System Environment/Base
Version: 0.8.2

%description -n smbldap-tools
This tool is useful for manipulating user/group information
including Unix and Samba passwords under Samba/OpenLDAP
environment. 

%prep

%setup

## Copying MIRACLE LINUX specific files
tar xfz %{SOURCE2}
%if %{vscan}
pushd examples/VFS
tar xfj %{SOURCE3}
popd
%endif
tar xfz %{SOURCE4}
tar xfz %{SOURCE5}

## Applying patches
%patch0 -p1 -b .smbw
%patch1 -p1 -b .pipedir
%patch2 -p1 -b .nmbd_overwrite
%patch3 -p1 -b .installimg
%patch4 -p1 -b .smbldap_tools
%patch5 -p1 -b .fixXP_SP2

%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1

## Preparation
rm -f examples/VFS/.cvsignore
mv source/VERSION source/VERSION.orig
sed -e 's/SAMBA_VERSION_VENDOR_SUFFIX=$/&\"%{release}\"/' < source/VERSION.orig > source/VERSION
rm -f source/VERSION.orig
pushd source
script/mkversion.sh
popd

%build

## Build main Samba source
pushd source
%ifarch i386
./autogen.sh
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%endif
%ifarch ia64
libtoolize --copy --force     # get it to recognize IA-64
autoheader
autoconf
EXTRA="-D_LARGEFILE64_SOURCE"
%endif

## Obtain the number of running CPUs; if failed allocate 1
#NUMCPU=`grep processor /proc/cpuinfo | wc -l`
#if [ $NUMCPU -eq 0 ]; then
#	NUMCPU=1;
#fi

## run autogen if missing the configure script
if [ ! -f "configure" ]; then
	./autogen.sh
fi

CFLAGS="$RPM_OPT_FLAGS $EXTRA" ./configure \
	--prefix=%{prefix} \
	--localstatedir=/var \
	--with-configdir=/etc/samba \
	--with-privatedir=/etc/samba \
	--with-lockdir=/var/cache/samba \
	--with-sambabook=%{prefix}/share/swat/using_samba \
	--with-swatdir=%{prefix}/share/swat \
	--with-manpages-langs="en ja" \
	--with-acl-support \
	--with-automount \
	--with-fhs \
	--with-ldapsam \
	--with-libsmbclient \
	--with-mmap \
	--with-pam \
	--with-pam_smbpass \
	--with-quotas \
	--with-smbmount \
	--with-syslog \
	--with-utmp \
	--with-vfs \
	--without-smbwrapper
make CFLAGS="$RPM_OPT_FLAGS $EXTRA -D_GNU_SOURCE" \
	proto all nsswitch/libnss_wins.so modules debug2html smbtorture
popd

## Building mkntpwd for LDAP related configuration
pushd examples/LDAP/smbldap-tools/mkntpwd
make
popd

## Building vscan modules 
%if %{vscan}
pushd examples/VFS/samba-vscan-%{vscan_version}
./configure
make
popd
%endif

## Remove some permission bits to avoid to many dependencies
find docs examples -type f | xargs -r chmod -x

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,sbin,lib,include}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{logrotate.d,pam.d,samba}
mkdir -p $RPM_BUILD_ROOT/var/{log,spool,cache}/samba
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/swat/{images,help,include,using_samba}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/swat/using_samba/{figs,gifs}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT/var/cache/samba/winbindd_privileged
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/samba/vfs

## Making directory for default shares
mkdir -p $RPM_BUILD_ROOT/var/samba/
mkdir -p $RPM_BUILD_ROOT/var/samba/{netlogon,printer,public,utils,printer,profiles,bin}
mkdir -p $RPM_BUILD_ROOT/var/samba/utils/PWDUMP2
mkdir -p $RPM_BUILD_ROOT/var/samba/printer/{W32X86,WIN40}

## This allows us to get away without duplicating code that 
## sombody else can maintain for us.  
pushd source
%makeinstall \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	BASEDIR=$RPM_BUILD_ROOT%{_prefix} \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir} \
	LOCKDIR=$RPM_BUILD_ROOT/var/cache/samba \
	PRIVATEDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/samba \
	CONFIGDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	VARDIR=$RPM_BUILD_ROOT/var \
	SWATDIR=$RPM_BUILD_ROOT%{_datadir}/swat \
	SAMBABOOK=$RPM_BUILD_ROOT%{_datadir}/swat/using_samba
popd

## we need a symlink for mount to recognise the smb and smbfs filesystem types
( cd $RPM_BUILD_ROOT/%{prefix}/bin/; ln -sf smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs; )
( cd $RPM_BUILD_ROOT/%{prefix}/bin/; ln -sf smbmount $RPM_BUILD_ROOT/sbin/mount.smb; )

## Install the nsswitch libraries
mkdir -p $RPM_BUILD_ROOT/lib
install -m755 source/nsswitch/libnss_wins.so $RPM_BUILD_ROOT/lib/libnss_wins.so
( cd $RPM_BUILD_ROOT/lib; ln -sf libnss_wins.so libnss_wins.so.2; )
install -m755 source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/lib/libnss_winbind.so
( cd $RPM_BUILD_ROOT/lib; ln -sf libnss_winbind.so libnss_winbind.so.2; )

## Install pams
mkdir -p $RPM_BUILD_ROOT/lib/security
install -m755 source/nsswitch/pam_winbind.so $RPM_BUILD_ROOT/lib/security
install -m755 source/bin/pam_smbpass.so $RPM_BUILD_ROOT/lib/security

## Install libsmbclient
install -m 755 source/bin/libsmbclient.so $RPM_BUILD_ROOT%{prefix}/lib/
install -m 755 source/bin/libsmbclient.a $RPM_BUILD_ROOT%{prefix}/lib/
install -m 644 source/include/libsmbclient.h $RPM_BUILD_ROOT%{prefix}/include/

## Install SWAT helper files
for i in swat/help/*.html docs/htmldocs/*.html
do
	install -m644 $i $RPM_BUILD_ROOT%{prefix}/share/swat/help
done
for i in swat/images/*.gif
do
	install -m644 $i $RPM_BUILD_ROOT%{prefix}/share/swat/images
done
for i in swat/include/*.html
do
	install -m644 $i $RPM_BUILD_ROOT%{prefix}/share/swat/include
done

## Install miscs
install -m755 source/script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_bindir}
install -m755 source/bin/debug2html $RPM_BUILD_ROOT%{_sbindir}
install -m755 source/bin/smbtorture $RPM_BUILD_ROOT%{_bindir}

install -m755 packaging/MiracleLinux/smbprint $RPM_BUILD_ROOT%{prefix}/bin
install -m755 packaging/MiracleLinux/smb.init $RPM_BUILD_ROOT/etc/rc.d/init.d/smb
install -m755 packaging/MiracleLinux/winbind.init $RPM_BUILD_ROOT/etc/rc.d/init.d/winbind
install -m755 packaging/MiracleLinux/smb.init $RPM_BUILD_ROOT%{prefix}/sbin/samba
install -m644 packaging/MiracleLinux/samba.log $RPM_BUILD_ROOT/etc/logrotate.d/samba
install -m644 packaging/MiracleLinux/smb.conf $RPM_BUILD_ROOT/etc/samba/smb.conf
install -m644 packaging/MiracleLinux/smbusers $RPM_BUILD_ROOT/etc/samba/smbusers
install -m644 packaging/MiracleLinux/samba.pamd.stack $RPM_BUILD_ROOT/etc/pam.d/samba
install -m755 packaging/MiracleLinux/cdmount $RPM_BUILD_ROOT/var/samba/bin/cdmount
install -m755 packaging/MiracleLinux/pwdump2/convert_pwdump.sh $RPM_BUILD_ROOT/usr/bin
install -m644 packaging/MiracleLinux/pwdump2/pwdump2.exe $RPM_BUILD_ROOT/var/samba/utils/PWDUMP2/pwdump2.exe
install -m644 packaging/MiracleLinux/pwdump2/README.html $RPM_BUILD_ROOT/var/samba/utils/PWDUMP2/README.html
install -m644 packaging/MiracleLinux/pwdump2/pwdump2.zip $RPM_BUILD_ROOT/var/samba/utils/PWDUMP2/pwdump2.zip
install -m644 packaging/MiracleLinux/pwdump2/samdump.dll $RPM_BUILD_ROOT/var/samba/utils/PWDUMP2/samdump.dll
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/samba
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/etc/samba/lmhosts

## LDAP related configuration
pushd examples/LDAP
mkdir -p $RPM_BUILD_ROOT/etc/openldap/schema/
mkdir -p $RPM_BUILD_ROOT%{perl_sitearch}
install -m644 samba.schema $RPM_BUILD_ROOT/etc/openldap/schema/samba.schema
pushd smbldap-tools
install -m 550 smbldap-groupadd.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupadd.pl
install -m 550 smbldap-groupdel.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupdel.pl
install -m 550 smbldap-groupmod.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupmod.pl
install -m 555 smbldap-groupshow.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupshow.pl
install -m 555 smbldap-passwd.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-passwd.pl
install -m 550 smbldap-useradd.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-useradd.pl
install -m 550 smbldap-userdel.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-userdel.pl
install -m 550 smbldap-usermod.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-usermod.pl
install -m 555 smbldap-usershow.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-usershow.pl
install -m 550 smbldap-populate.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-populate.pl
install -m 640 smbldap_conf.pm $RPM_BUILD_ROOT%{perl_sitearch}/smbldap_conf.pm
install -m 444 smbldap_tools.pm $RPM_BUILD_ROOT%{perl_sitearch}/smbldap_tools.pm
install -m 550 smbldap-migrate-accounts.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-migrate-accounts.pl
install -m 550 smbldap-migrate-groups.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-migrate-groups.pl
pushd mkntpwd
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} install
popd
popd
popd

## Installing vscan
%if %{vscan}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
pushd examples/VFS/samba-vscan-%{vscan_version}
install -m 755 ./*.so	$RPM_BUILD_ROOT%{_libdir}/samba/vfs/
install -m 644 clamav/vscan-clamav.conf	$RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan
install -m 644 fprot/vscan-fprotd.conf	$RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 icap/vscan-icap.conf	$RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 kaspersky/vscan-kavp.conf	$RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 mks/vscan-mks32.conf	$RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 openantivirus/vscan-oav.conf       $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 sophos/vscan-sophos.conf   $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 trend/vscan-trend.conf     $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
popd
%endif

## Remove "*.old" files
find $RPM_BUILD_ROOT -name "*.old" -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post

## For new installing
if [ "$1" -eq "1" ]; then
	/sbin/chkconfig --add smb
	/sbin/chkconfig --add winbind
	/sbin/chkconfig smb off
	/sbin/chkconfig winbind off
	/sbin/ldconfig
fi

## For upgrading
if [ "$1" -eq "2" ]; then
	if [ -f /etc/smb.conf -a ! -f /etc/samba/smb.conf ]; then
		echo "Moving old /etc/smb.conf to /etc/samba/smb.conf"
		mv /etc/smb.conf /etc/samba/smb.conf
	fi

	if [ -f /etc/smbusers -a ! -f /etc/samba/smbusers ]; then
		echo "Moving old /etc/smbusers to /etc/samba/smbusers"
		mv /etc/smbusers /etc/samba/smbusers
	fi

	if [ -f /etc/lmhosts -a ! -f /etc/samba/lmhosts ]; then
		echo "Moving old /etc/lmhosts to /etc/samba/lmhosts"
		mv /etc/lmhosts /etc/samba/lmhosts
	fi

	if [ -f /etc/MACHINE.SID -a ! -f /etc/samba/MACHINE.SID ]; then
		echo "Moving old /etc/MACHINE.SID to /etc/samba/MACHINE.SID"
		mv /etc/MACHINE.SID /etc/samba/MACHINE.SID
	fi

	if [ -f /etc/smbpasswd -a ! -f /etc/samba/smbpasswd ]; then
		echo "Moving old /etc/smbpasswd to /etc/samba/smbpasswd"
		mv /etc/smbpasswd /etc/samba/smbpasswd
	fi

        # For 2.2.1 we move the tdb files from /var/lock/samba to 
	# /var/cache/samba to preserve across reboots.

	for i in /var/lock/samba/*.tdb; do
		if [ -f $i ]; then
			newname="/var/cache/samba/`basename $i`"
			echo "Moving $i to $newname"
			mv $i $newname
		fi
	done
fi

## Add swat entry to /etc/services if not already there.
if !( grep ^[:space:]*swat /etc/services > /dev/null ) then
	echo 'swat		901/tcp				# Add swat service used via inetd' >> /etc/services
fi

## Add swat entry to /etc/inetd.conf if needed.
if [ -f /etc/inetd.conf ]; then
	if !( grep ^[:space:]*swat /etc/inetd.conf > /dev/null ) then
		echo 'swat	stream	tcp	nowait.400	root	%{prefix}/sbin/swat swat' >> /etc/inetd.conf
	killall -1 inetd || :
	fi
fi

## Add swat entry to xinetd.d.
if [ ! -f /etc/xinetd.d/swat ]; then
   cat > /etc/xinetd.d/swat <<EOF
service swat
{
	port	= 901
	socket_type	= stream
	wait	= no
	only_from	= 127.0.0.1
	user	= root
	server	= /usr/sbin/swat
	log_on_failure	+= USERID
	disable	= yes
}
EOF
fi

## call ldconfig to create the version symlink for libsmbclient.so
/sbin/ldconfig

%post -n smbldap-tools
if [ ! -e %{_sysconfdir}/samba/smbldap_conf.pm ]; then
	ln -s %{perl_sitearch}/smbldap_conf.pm %{_sysconfdir}/samba/smbldap_conf.pm
fi

%preun
if [ "$1" -eq 0 ] ; then
	/sbin/chkconfig --del smb
	/sbin/chkconfig --del winbind
	%{initdir}/smb stop >/dev/null 2>&1
	%{initdir}/winbind stop > /dev/null 2>&1
	/sbin/ldconfig

	# We want to remove the browse.dat and wins.dat files so they 
	# can not interfer with a new version of samba!
	if [ -e /var/cache/samba/browse.dat ]; then
		rm -f /var/cache/samba/browse.dat
	fi
	if [ -e /var/cache/samba/wins.dat ]; then
		rm -f /var/cache/samba/wins.dat
	fi

	# Remove the transient tdb files.
	if [ -e /var/cache/samba/brlock.tdb ]; then
		rm -f /var/cache/samba/brlock.tdb
	fi

	if [ -e /var/cache/samba/unexpected.tdb ]; then
		rm -f /var/cache/samba/unexpected.tdb
	fi

	if [ -e /var/cache/samba/connections.tdb ]; then
		rm -f /var/cache/samba/connections.tdb
	fi

	if [ -e /var/cache/samba/locking.tdb ]; then
		rm -f /var/cache/samba/locking.tdb
	fi

	if [ -e /var/cache/samba/messages.tdb ]; then
		rm -f /var/cache/samba/messages.tdb
	fi
fi

%postun
## Only delete remnants of samba if this is the final deletion.
if [ $1 = 0 ] ; then
	if [ -x /etc/pam.d/samba ]; then
		rm -f /etc/pam.d/samba
	fi
	if [ -e /var/log/samba ]; then
		rm -rf /var/log/samba
	fi
	if [ -e /var/cache/samba ]; then
		rm -rf /var/cache/samba
	fi

	# Remove swat entries from /etc/inetd.conf and /etc/services
	cd /etc
	tmpfile=/etc/tmp.$$
	if [ -f /etc/inetd.conf ]; then
		# preserve inetd.conf permissions.
		cp -p /etc/inetd.conf $tmpfile
		sed -e '/^[:space:]*swat.*$/d' /etc/inetd.conf > $tmpfile
		mv $tmpfile inetd.conf
	fi
	# preserve services permissions.
	cp -p /etc/services $tmpfile
	sed -e '/^[:space:]*swat.*$/d' /etc/services > $tmpfile
	mv $tmpfile /etc/services

	# Remove swat entry from /etc/xinetd.d
	if [ -f /etc/xinetd.d/swat ]; then
		rm -r /etc/xinetd.d/swat
	fi
fi

/sbin/ldconfig

%postun -n smbldap-tools
if [ ! -e %{_sysconfdir}/samba/smbldap_conf.pm ]; then
        rm -f %{_sysconfdir}/samba/smbldap_conf.pm
fi

%files
%defattr(-,root,root)
%doc README COPYING Manifest Read-Manifest-Now
%doc WHATSNEW.txt Roadmap
%doc docs
%doc examples/autofs examples/libsmbclient examples/misc
%doc examples/printer-accounting examples/printing

/sbin/mount.smbfs
/sbin/mount.smb
%{prefix}/sbin/debug2html
%{prefix}/sbin/nmbd
%{prefix}/sbin/samba
%{prefix}/sbin/smbd
%{prefix}/sbin/swat
%{prefix}/sbin/winbindd
%{prefix}/bin/findsmb
%{prefix}/bin/mksmbpasswd.sh
%{prefix}/bin/net
%{prefix}/bin/nmblookup
%{prefix}/bin/ntlm_auth
%{prefix}/bin/pdbedit
%{prefix}/bin/rpcclient
%{prefix}/bin/smbcacls
%{prefix}/bin/smbclient
%{prefix}/bin/smbcontrol
%{prefix}/bin/smbcquotas
%{prefix}/bin/smbmnt
%{prefix}/bin/smbmount
%{prefix}/bin/smbpasswd
%{prefix}/bin/smbprint
%{prefix}/bin/smbspool
%{prefix}/bin/smbstatus
%{prefix}/bin/smbtar
%{prefix}/bin/smbtorture
%{prefix}/bin/smbtree
%{prefix}/bin/smbumount
%{prefix}/bin/tdbbackup
%{prefix}/bin/testparm
%{prefix}/bin/testprns
%{prefix}/bin/wbinfo
%attr(755,root,root) /lib/libnss_wins.s*
%attr(755,root,root) /lib/libnss_winbind.s*
%attr(755,root,root) %{prefix}/lib/samba/vfs/*.so
%attr(755,root,root) %{prefix}/lib/samba/charset/*.so
%attr(755,root,root) %{prefix}/lib/samba/*.dat
%attr(755,root,root) %{prefix}/lib/samba/*.msg
%{prefix}/include/libsmbclient.h
%{prefix}/lib/libsmbclient.a
%{prefix}/lib/libsmbclient.so
%{prefix}/share/swat/help/*
%{prefix}/share/swat/images/*
%{prefix}/share/swat/include/*.html
%{prefix}/share/swat/lang/*/help/*
%{prefix}/share/swat/lang/*/images/*
%{prefix}/share/swat/lang/*/include/*.html
%{prefix}/share/swat/using_samba/*
%config(noreplace) /etc/samba/lmhosts
%config(noreplace) /etc/samba/smb.conf
%config(noreplace) /etc/samba/smbusers
/etc/rc.d/init.d/smb
/etc/rc.d/init.d/winbind
/etc/logrotate.d/samba
%config(noreplace) /etc/pam.d/samba
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_mandir}/ja/man1/*
%{_mandir}/ja/man5/*
%{_mandir}/ja/man7/*
%{_mandir}/ja/man8/*
%attr(755,root,root) %dir /var/cache/samba
%attr(750,root,root) %dir /var/cache/samba/winbindd_privileged
%dir /var/log/samba
%attr(1777,root,root) %dir /var/spool/samba
%dir /var/samba
%dir /var/samba/netlogon
%attr(755, root, root) %dir /var/samba/printer
%attr(755, root, root) %dir /var/samba/printer/W32X86
%attr(755, root, root) %dir /var/samba/printer/WIN40
%attr(1777, root, nobody) %dir /var/samba/public
%dir /var/samba/utils
%dir /var/samba/utils/PWDUMP2
/var/samba/utils/PWDUMP2/*
%dir /var/samba/bin/
/var/samba/bin/cdmount
%attr(1777, root, root) %dir /var/samba/profiles
%attr(-,root,root) /lib/security/pam_winbind.so
%attr(-,root,root) /lib/security/pam_smbpass.so

%if %{vscan}
%config(noreplace) %{_sysconfdir}/samba/vscan/*.conf
%endif

%files -n smbldap-tools
%{_sysconfdir}/openldap/schema/samba.schema
%{_prefix}/sbin/smbldap-*.pl
%{_prefix}/sbin/mkntpwd
%config(noreplace) %{perl_sitearch}/smbldap_conf.pm
%{perl_sitearch}/smbldap_tools.pm


%changelog
* Mon Sep  6 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.5-16ml
- fix printer support of Windows XP SP2(Patch No.5)

* Fri Aug 27 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.5-15ml
- fix NetBIOS string corruption(Patch No.115)

* Fri Jul 23 2004 Hideo Takeuchi <takeuchi@miraclelinux.com> 3.0.5-13ml
- Update to 3.0.5

* Thu Jul 22 2004 Hideo Takeuchi <takeuchi@miraclelinux.com> 3.0.4-12ml
- fix smbd is panic when it is Japanese-PATH-name(Patch No.114)

* Wed Jun  9 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.4-1ml
- update to v3.0.4

* Thu May 20 2004 Hideo Takeuchi <takeuchi@miraclelinux.com> 3.0.2a-10ml
- sambaHomePath is deleted using -C option of smbldap-useradd(Patch No.114)

* Mon May 10 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-8ml
- fix smbldap-useradd and smbldap-passwd to use smbpasswd(Patch No.113)

* Mon May 10 2004 Shiro Yamada <shiro@miraclelinux.com> 3.0.2a-8ml
- sambaProfilePath is deleted using -F option of smbldap-useradd(Patch No.112)

* Mon May 10 2004 Hideo Takeuchi <takeuchi@miraclelinux.com> 3.0.2a-8ml
- MS-patch KB828741-fix(Patch No.111)

* Tue Mar 30 2004 Shiro Yamada <shiro@miraclelinux.com> 3.0.2a-6ml
- Removed an obsolete parameter in smb.conf

* Mon Mar 29 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-4ml
- Fiexed swat status

* Wed Mar  3 2004 Yasuma Takeda <yasuma@miraclelinux.com>
- Update to 3.0.2a

* Wed Jan 28 2004 Shiro Yamada <shiro@miraclelinux.com>
  - Added internationalisation patches, together with some generic
    patches from the previous release.

* Mon Nov 18 2002 Gerald Carter <jerry@samba.org>
  - removed change log entries since history
    is being maintained in CVS

